<form (ngSubmit)="search()" [formGroup]="searchForm">
   
    <div class="input-fields">
        <div>
            <div class="form-input-label">
                <label for="keyword">Mot clé</label>
                <input id="keyword" formControlName="keyword" pInputText>
            </div><!--class="form-input-label"-->
            <p *ngIf="keywordCtrl.dirty && keywordCtrl.hasError('pattern')">Merci de renseigner un mot clé valide</p>
            <p *ngIf="keywordCtrl.dirty && keywordCtrl.hasError('minlength')">Votre mot clé doit faire au moins 3 caractères</p>
        </div>
        <div>
            <div class="form-input-label">
                <label for="city">Ville</label><input id="city" formControlName="city" pInputText>
            </div><!--class="form-input-label"-->
            <p *ngIf="cityCtrl.dirty && cityCtrl.hasError('pattern')">Merci de renseigner un nom de ville valide</p>
            <p *ngIf="cityCtrl.dirty && cityCtrl.hasError('minlength')">La ville recherchée doit faire au moins 2 caractères</p>
        </div>
        <div>
            <div class="form-input-label">
                <label for="periodBegin">Entre le</label><input id="periodBegin" type="date" formControlName="periodBegin" pInputText>
            </div><!--class="form-input-label-->
            <p *ngIf="periodBeginCtrl.dirty && periodBeginCtrl.hasError('isAfterPeriodMin')">Choisir une date après la date minimum</p>
            <p *ngIf="periodBeginCtrl.dirty && periodBeginCtrl.hasError('isBeforePeriodMax')">Choisir une date avant la date maximum</p>
        </div>
        <div>
            <div class="form-input-label">
                <label for="periodEnd">et le</label><input id="periodEnd" type="date" formControlName="periodEnd" pInputText>
            </div><!--class="form-input-label"-->
            <p *ngIf="periodEndCtrl.dirty && periodEndCtrl.hasError('isAfterPeriodMin')">Choisir une date après la date minimum</p>
            <p *ngIf="periodEndCtrl.dirty && periodEndCtrl.hasError('isBeforePeriodMax')">Choisir une date avant la date maximum</p>
        </div>
    
        <div class="buttons">
            <button pButton type="reset" label="Effacer" (click)="reset()" class="ui-button-secondary ui-button-rounded"></button>
            <button pButton type="submit" label="Rechercher" [disabled]="searchForm.invalid" class="ui-button-danger ui-button-rounded"></button>
        </div><!--class="buttons"-->
    
    </div><!--class="input-fields"-->

</form>
